GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

gtpin::GtCoreObjDeleter< T > Struct Template Reference

Deleter for a single (non-array) object allocated in the GTPin core storage. More...

`#include <igt_core.h>`

## Detailed Description

### template<class T>
struct gtpin::GtCoreObjDeleter< T >

Deleter for a single (non-array) object allocated in the GTPin core storage.

Parameters:

  T | type of the object to be deleted

Precondition:
  T is not an array (std::is_array<T> == false)

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT